<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('shop_delivery_packages', function (Blueprint $table) {
            $table->increments('id');
            $table->unsignedMediumInteger('weight')->nullable()->default(0);
            $table->unsignedTinyInteger('weight_flyer')->nullable()->default(0);
            $table->unsignedSmallInteger('weight_packaging')->nullable()->default(0);
            $table->unsignedSmallInteger('weight_useful')->nullable()->default(0);
            $table->unsignedSmallInteger('created_by')->nullable();
            $table->unsignedSmallInteger('updated_by')->nullable();
            $table->unsignedSmallInteger('deleted_by')->nullable();
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('shop_delivery_packages');
    }
};
